GetOrders

Get the customer details for a range of orders.
Substantially different from GetOrder, which retrieves the order items for an order.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
TotalCountUnsignedDisplayed in the Head section, this number tells the complete number of all orders for the current filter set in the database
OrderIdUnsignedIdentifier of this order as assigned by Seller Center.
CustomerFirstNameStringThe customer's first name.
CustomerLastNameStringThe customer's last name.
OrderNumberUnsignedThe human-readable order number.
PaymentMethodStringThe method of payment.
RemarksStringA human-readable remark.
DeliveryInfoStringDelivery information for that order
PriceFloatThe total amount for this order.
GiftOptionBoolean1 if item is a gift, 0 if it is not
GiftMessageStringGift message as specified b the customer.
CreatedAtDateTimeDate and time when the order was placed.
UpdatedAtDateTimeDate and time of last change to the order.
AddressBillingSubsectionNode that contains additional nodes, which make up the billing address: FirstName, LastName, Phone, Phone2, Address1, Address2, City, PostCode, Country
AddressShippingSubsectionNode that contains additional nodes, which make up the shipping address: FirstName, LastName, Phone, Phone2, Address1, Address2, City, PostCode, Country
NationalRegistrationNumberStringRequired in some countries.
ItemsCountIntegerNumber of items in order.
StatusesArrayUnique statuses of the items in the order. (hint: you can find all of the different status codes in the response example)
PromisedShippingTimesDateTimeTarget shipping time for the soonest order item if they were available
ExtraAttributesString

Extra attributes which were passed to Seller Center on getMarketPlaceOrders call.

It is JSON string which client should parse it.

Errors

Error codeMessage
14E014: "%s" Invalid Offset
17E017: "%s" Invalid Date Format
19E019: "%s" Invalid Limit
36E036: Invalid status filter
74E074: Invalid sort direction.
75E075: Invalid sort filter.
Query Params
string
Defaults to GetOrders

Name of the function that is to be called. Mandatory and must be 'GetOrders' in this case. If omitted, an 'E001: Parameter Action is mandatory' error is returned. If an unknown function string is supplied, an 'E008: Invalid Action' error message is returned.

string
Defaults to XML

If supplied, must be either 'JSON' or 'XML'. If not supplied, 'XML' is assumed.

date

The current time in ISO8601 format relative to UTC (e.g., Timestamp=2015-04-01T10:00:00+02:00 for Berlin), so that calls cannot be replayed by an eaves-dropping third party (i.e., those calls too far into the past or future yield an error message). Mandatory. If not supplied, an 'E001: Parameter Timestamp is mandatory' error message results. If the timestamp is too old or in the future, an 'E003: Timestamp has expired' error message is returned.

string

The ID of the user making the call. The list of authorized users is maintained in Seller Center web interface under Settings/Manage Users.

string

The API version against which this call is to be executed, in major-dot-minor format. Must currently be 1.0, even though the actual version of the API is 2.6.20. If omitted, an ‘E001: Parameter Version is mandatory’ error message is returned.

string

The cryptographic signature, authenticating the request. A caller must create this value by computing the SHA256 hash of the request, using the API key of the user specified in the UserID parameter. Mandatory. If omitted, an ‘E001: Parameter Signature is mandatory’ error message is returned. If the signature is incorrect, an ‘E007: Login failed. Signature mismatch’ error message is returned.

date

Limites the returned order list to those created after or on a specified date, given in ISO 8601 date format. Either CreatedAfter or UpdatedAfter are mandatory or else an error 'E018: Either CreatedAfter or UpdatedAfter is mandatory' wil be returned.

date

Limites the returned order list to those created before or on a specified date, given in ISO 8601 date format. Optional

date

Limites the returned order list to those updated after or on a specified date, given in ISO 8601 date format. Either UpdatedAfter or CreatedAfter are mandatory or else an error 'E018: Either CreatedAfter or UpdatedAfter is mandatory' wil be returned. Note: The updateAfter is not related with order updateAt, but related to the sales order item history createAt. In Version 2.0 it uses Order Address Updated At not the order item history.

date

Limites the returned order list to those updated before or on a specified date, given in ISO 8601 date format. Optional. Note: The updateBeore is not related with order updateAt, but related to the sales order item history createAt. In Version 2.0 it uses Order Address Updated At not the order item history.

int32

The maximum number of orders that should be returned, default 1000

int32

Numer of orders to skip at the beginning of the list (i.e., an offset into the result set; toghether with the Limit parameter, simple resultset paging is possible; if you do page through results, note that the list of orders might change during paging).

string

When set, limits the returned set of orders to loose orders, which Return only entries which fit the status provided. Possible values are pending, canceled, ready_to_ship, delivered, returned, shipped and failed.

string

Allows to choose the sorting column. Possible values (created_at, updated_at). In version 2.0 it is fixed to updated_at and cant be changed

string

Specify sort type. Possible values (ASC, DESC)

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/xml
application/json